Skip to content

TCP

All operations require authentication.

10 operationsv1/ipLoadbalancing/{serviceName}
Agent setup

List TCP farmsProduction

GET
/1.0/ipLoadbalancing/{serviceName}/tcp/farm

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Query parameters

vrackNetworkId
integer

Filter the value of vrackNetworkId property (=)

zone
string

Filter the value of zone property (=)

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a TCP farmProduction

POST
/1.0/ipLoadbalancing/{serviceName}/tcp/farm

Path parameters

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

balance
BalanceTCPEnum

Load balancing algorithm. 'roundrobin' if null

Valuesfirstleastconnroundrobinsource
displayName
string

Human readable name for your backend, this field is for you

port
integer

Port attached to your farm ([1..49151]). Inherited from frontend if null

probe
BackendProbe

Probe used to determine if a backend is alive and can handle requests

stickiness
StickinessTCPEnum

Stickiness type. No stickiness if null

ValuessourceIp
vrackNetworkId
integer

Internal Load Balancer identifier of the vRack private network to attach to your farm, mandatory when your Load Balancer is attached to a vRack

zone
required
string

Zone of your farm

Response

200BackendTcpsuccessful operation
balance
BalanceTCPEnum

Load balancing algorithm. 'roundrobin' if null

Valuesfirstleastconnroundrobinsource
displayName
string

Human readable name for your backend, this field is for you

farmId
read-only
integer

Id of your farm

port
integer

Port attached to your farm. Inherited from frontend if null

probe
BackendProbe

Probe used to determine if a backend is alive and can handle requests. Defaults to tcp on the same port as the farm

stickiness
StickinessTCPEnum

Stickiness type. No stickiness if null

ValuessourceIp
vrackNetworkId
integer

Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack

zone
read-only
string

Zone of you farm

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "balance": "first", "displayName": "string", "farmId": 0, "port": 0, "probe": { "forceSsl": true, "interval": 0, "match": "contains", "method": "GET", "negate": true, "pattern": "string", "port": 0, "type": "http", "url": "string" }, "stickiness": "sourceIp", "vrackNetworkId": 0, "zone": "string"}

Get a TCP farmProduction

GET
/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Response

200BackendTcpsuccessful operation
balance
BalanceTCPEnum

Load balancing algorithm. 'roundrobin' if null

Valuesfirstleastconnroundrobinsource
displayName
string

Human readable name for your backend, this field is for you

farmId
read-only
integer

Id of your farm

port
integer

Port attached to your farm. Inherited from frontend if null

probe
BackendProbe

Probe used to determine if a backend is alive and can handle requests. Defaults to tcp on the same port as the farm

stickiness
StickinessTCPEnum

Stickiness type. No stickiness if null

ValuessourceIp
vrackNetworkId
integer

Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack

zone
read-only
string

Zone of you farm

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "balance": "first", "displayName": "string", "farmId": 0, "port": 0, "probe": { "forceSsl": true, "interval": 0, "match": "contains", "method": "GET", "negate": true, "pattern": "string", "port": 0, "type": "http", "url": "string" }, "stickiness": "sourceIp", "vrackNetworkId": 0, "zone": "string"}

Delete a TCP farmProduction

DELETE
/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a TCP farmProduction

PUT
/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

balance
BalanceTCPEnum

Load balancing algorithm. 'roundrobin' if null

Valuesfirstleastconnroundrobinsource
displayName
string

Human readable name for your backend, this field is for you

farmId
read-only
integer

Id of your farm

port
integer

Port attached to your farm. Inherited from frontend if null

probe
BackendProbe

Probe used to determine if a backend is alive and can handle requests. Defaults to tcp on the same port as the farm

stickiness
StickinessTCPEnum

Stickiness type. No stickiness if null

ValuessourceIp
vrackNetworkId
integer

Internal Load Balancer identifier of the vRack private network attached to your farm, mandatory when your Load Balancer is attached to a vRack

zone
read-only
string

Zone of you farm

Response

200—successful operation

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId} \
  -H "authorization: Bearer $OVH_TOKEN"

List farm serversProduction

GET
/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Query parameters

address
ipv4

Filter the value of address property (=)

status
BackendCustomerServerStatusEnum

Filter the value of status property (=)

Valuesactiveinactive

Response

200integer[]successful operation

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Create a farm serverProduction

POST
/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server

Path parameters

farmId
required
integer

Id of your farm

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

address
required
ipv4

Address of your server

backup
boolean

Set server as backup. Default: 'false'

chain
string

Certificate chain. Allow server certificate verification (Avoid man-in-the-middle attacks)

displayName
string

Human readable name for your server, this field is for you

onMarkedDown
OnMarkedDownEnum

Enable action when backend marked down. (No action if null)

Valuesshutdown-sessions
port
integer

Port attached to your server ([1..49151]). Inherited from farm if null

probe
boolean

Enable/disable probe. Default: 'false'

proxyProtocolVersion
ProxyProtocolVersionEnum

Disabled if null. Send PROXY protocol header. Requires a compatible server.

Valuesv1v2v2-sslv2-ssl-cn
ssl
boolean

SSL ciphering. Probes will also be sent ciphered. Default: 'false'

status
required
BackendCustomerServerStatusEnum

Enable or disable your server

Valuesactiveinactive
weight
integer

Set weight on that server [1..256]. 0 if not used in load balancing. 1 if left null. Servers with higher weight get more requests.

Response

200BackendTCPServersuccessful operation
address
read-only
ipv4

Address of your server

backendId
read-only
integer

Farm id

backup
boolean

Backup state. Default: 'false'

chain
string

Certificate chain. Allow server certificate verification (Avoid man-in-the-middle attacks)

displayName
string

Human readable name for your server, this field is for you

onMarkedDown
OnMarkedDownEnum

Set action when backend marked down. (No action if null)

Valuesshutdown-sessions
port
integer

Port attached to your server. Inherited from farm if null

probe
boolean

Probe state. Default: 'false'

proxyProtocolVersion
ProxyProtocolVersionEnum

Disabled if null. Send PROXY protocol header. Requires a compatible server.

Valuesv1v2v2-sslv2-ssl-cn
serverId
read-only
integer

Id of your server

serverState
read-only
ServerState[]

Server state

ssl
boolean

SSL ciphering. Probes will also be sent ciphered

status
BackendCustomerServerStatusEnum

Status attached to your server

Valuesactiveinactive
weight
integer

Weight value. Defaults to 1. 0 if not used in load balancing. Servers with higher weight get more requests.

Example uses farmId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "192.0.2.0", "backendId": 0, "backup": true, "chain": "string", "displayName": "string", "onMarkedDown": "shutdown-sessions", "port": 0, "probe": true, "proxyProtocolVersion": "v1", "serverId": 0, "serverState": [ { "checkCode": "string", "checkStatus": "string", "checkTime": "2024-01-01T12:00:00Z", "instanceId": 0, "lastCheckContent": "string", "status": "string" } ], "ssl": true, "status": "active", "weight": 0}

Get a farm serverProduction

GET
/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server/{serverId}

Path parameters

farmId
required
integer

Id of your farm

serverId
required
integer

Id of your server

serviceName
required
string

The internal name of your IP load balancing

Response

200BackendTCPServersuccessful operation
address
read-only
ipv4

Address of your server

backendId
read-only
integer

Farm id

backup
boolean

Backup state. Default: 'false'

chain
string

Certificate chain. Allow server certificate verification (Avoid man-in-the-middle attacks)

displayName
string

Human readable name for your server, this field is for you

onMarkedDown
OnMarkedDownEnum

Set action when backend marked down. (No action if null)

Valuesshutdown-sessions
port
integer

Port attached to your server. Inherited from farm if null

probe
boolean

Probe state. Default: 'false'

proxyProtocolVersion
ProxyProtocolVersionEnum

Disabled if null. Send PROXY protocol header. Requires a compatible server.

Valuesv1v2v2-sslv2-ssl-cn
serverId
read-only
integer

Id of your server

serverState
read-only
ServerState[]

Server state

ssl
boolean

SSL ciphering. Probes will also be sent ciphered

status
BackendCustomerServerStatusEnum

Status attached to your server

Valuesactiveinactive
weight
integer

Weight value. Defaults to 1. 0 if not used in load balancing. Servers with higher weight get more requests.

Example uses farmId = 0, serverId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server/{serverId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "address": "192.0.2.0", "backendId": 0, "backup": true, "chain": "string", "displayName": "string", "onMarkedDown": "shutdown-sessions", "port": 0, "probe": true, "proxyProtocolVersion": "v1", "serverId": 0, "serverState": [ { "checkCode": "string", "checkStatus": "string", "checkTime": "2024-01-01T12:00:00Z", "instanceId": 0, "lastCheckContent": "string", "status": "string" } ], "ssl": true, "status": "active", "weight": 0}

Delete a farm serverProduction

DELETE
/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server/{serverId}

Path parameters

farmId
required
integer

Id of your farm

serverId
required
integer

Id of your server

serviceName
required
string

The internal name of your IP load balancing

Response

200—successful operation

Example uses farmId = 0, serverId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server/{serverId} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a farm serverProduction

PUT
/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server/{serverId}

Path parameters

farmId
required
integer

Id of your farm

serverId
required
integer

Id of your server

serviceName
required
string

The internal name of your IP load balancing

Request body (required)

address
read-only
ipv4

Address of your server

backendId
read-only
integer

Farm id

backup
boolean

Backup state. Default: 'false'

chain
string

Certificate chain. Allow server certificate verification (Avoid man-in-the-middle attacks)

displayName
string

Human readable name for your server, this field is for you

onMarkedDown
OnMarkedDownEnum

Set action when backend marked down. (No action if null)

Valuesshutdown-sessions
port
integer

Port attached to your server. Inherited from farm if null

probe
boolean

Probe state. Default: 'false'

proxyProtocolVersion
ProxyProtocolVersionEnum

Disabled if null. Send PROXY protocol header. Requires a compatible server.

Valuesv1v2v2-sslv2-ssl-cn
serverId
read-only
integer

Id of your server

serverState
read-only
ServerState[]

Server state

ssl
boolean

SSL ciphering. Probes will also be sent ciphered

status
BackendCustomerServerStatusEnum

Status attached to your server

Valuesactiveinactive
weight
integer

Weight value. Defaults to 1. 0 if not used in load balancing. Servers with higher weight get more requests.

Response

200—successful operation

Example uses farmId = 0, serverId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/ipLoadbalancing/{serviceName}/tcp/farm/{farmId}/server/{serverId} \
  -H "authorization: Bearer $OVH_TOKEN"